Bug 1382724 - Dashboard widgets - tooltip on hover text not always available and doesn't expand strings where available
Summary: Dashboard widgets - tooltip on hover text not always available and doesn't ex...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Robin Knaur
QA Contact: Dmitry Misharov
URL:
Whiteboard: dashboard
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-07 13:54 UTC by Jan Krocil
Modified: 2017-05-31 14:22 UTC (History)
4 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:22:06 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:
jkrocil: automate_bug-


Attachments (Terms of Use)
Tooltip text not expanded (32.26 KB, image/png)
2016-10-07 13:54 UTC, Jan Krocil
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Jan Krocil 2016-10-07 13:54:17 UTC
Created attachment 1208160 [details]
Tooltip text not expanded

Description / use case:
-----------------------
I have a dashboard pie chart with:
  - 38.1% Red Hat Enterprise...
  - 25.1% Red Hat Enterprise...
  - ...

So which one is RHEL 6 and which one is RHEL 7?
There is no way to know.
If I hover over the text, there is no tooltip.
If I hover over the pie chart, there is a tooltip but the text is not expanded so I'm no wiser (see screenshot).
Zooming in doesn't work either; user doesn't get any additional information whatsoever after zooming in (BZ for zooming opened here: https://bugzilla.redhat.com/show_bug.cgi?id=1382714).

What I would expect:
-----------------------
Tooltip with expanded content on any text that can be shortened
(both on the side of the chart and withing the chart)

Version-Release number of selected component (if applicable):
-----------------------
5.7.0.4

How reproducible:
-----------------------
Always

Steps to Reproduce:
-----------------------
1. Add a provider to populate the dashboard widgets
2. Hover over any text with shortened content

Actual results:
-----------------------
See the BZ description / use case

Expected results:
-----------------------
See the BZ description / use case

Additional info:

Comment 3 Robin Knaur 2016-10-19 09:28:53 UTC
https://github.com/ManageIQ/manageiq/pull/11986

Comment 4 Robin Knaur 2016-10-19 09:35:30 UTC
Display tooltip  while  hoovering over text, will be complicated in current charts, but I think that if we have full tooltip on hovering over chart its not that important.

Comment 5 CFME Bot 2016-11-07 12:56:43 UTC
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/624a5c9d916a0a1ff0ad184edd5f5d4153a24c4b

commit 624a5c9d916a0a1ff0ad184edd5f5d4153a24c4b
Author:     PanSpagetka <rknaur@redhat.com>
AuthorDate: Wed Oct 19 11:08:32 2016 +0200
Commit:     PanSpagetka <rknaur@redhat.com>
CommitDate: Mon Nov 7 10:34:35 2016 +0100

    Add JS funcions to display full names/categories in tooltip
    https://bugzilla.redhat.com/show_bug.cgi?id=1382724

 app/assets/javascripts/miq_application.js | 30 +++++++++---------------------
 1 file changed, 9 insertions(+), 21 deletions(-)

Comment 7 CFME Bot 2016-11-09 21:16:08 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/4af8f959f122a0ecd57b2abcc3247c8d5e76d4a6

commit 4af8f959f122a0ecd57b2abcc3247c8d5e76d4a6
Author:     PanSpagetka <rknaur@redhat.com>
AuthorDate: Wed Oct 19 11:08:32 2016 +0200
Commit:     PanSpagetka <rknaur@redhat.com>
CommitDate: Wed Nov 9 12:57:47 2016 +0100

    Add JS funcions to display full names/categories in tooltip
    https://bugzilla.redhat.com/show_bug.cgi?id=1382724

 app/assets/javascripts/miq_application.js | 31 ++++++++++---------------------
 1 file changed, 10 insertions(+), 21 deletions(-)

Comment 10 Dmitry Misharov 2017-03-07 07:41:14 UTC
Verified in 5.8.0.3.20170301174324_1e2e0c4. Tooltips on hover charts implemented.

Comment 12 errata-xmlrpc 2017-05-31 14:22:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.